Miridia
Portal
Logistics

Shipments

The shipments operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/v1/shipments/overviewGet shipment overview
GET/api/v1/shipments/{shipmentId}Get shipment
PUT/api/v1/shipments/{shipmentId}Update shipment
PATCH/api/v1/shipments/{shipmentId}Patch shipment
DELETE/api/v1/shipments/{shipmentId}Delete shipment
GET/api/v1/shipmentsGet shipments
POST/api/v1/shipmentsCreate shipment
GET/api/v1/shipments/unassignedGet unassigned shipments
POST/api/v1/shipments/deleteBulk delete shipments
GET/api/v1/shipments/{shipmentId}/tracesGet shipment traces
POST/api/v1/shipments/{shipmentId}/collectRequest shipment collection
GET/api/v1/shipments/{shipmentId}/commentsGet shipment comments
POST/api/v1/shipments/{shipmentId}/commentsAdd shipment comment
DELETE/api/v1/shipments/{shipmentId}/comments/{commentId}Delete shipment comment
GET/api/v1/shipments/{shipmentId}/quotationsGet shipment quotations
GET/api/v1/shipments/{shipmentId}/quotations/{quotationId}Get shipment quotation
DELETE/api/v1/shipments/{shipmentId}/quotations/{quotationId}Delete shipment quotation
POST/api/v1/shipments/{shipmentId}/quotations/{quotationId}/acceptAccept shipment quotation
DELETE/api/v1/shipments/{shipmentId}/quotations/{quotationId}/acceptWithdraw shipment quotation acceptance
POST/api/v1/shipments/{shipmentId}/quotations/refreshRefresh shipment quotations
POST/api/v1/shipments/{shipmentId}/waypointsCreate shipment waypoint
DELETE/api/v1/shipments/{shipmentId}/waypoints/{waypointId}Delete shipment waypoint
POST/api/v1/shipments/{shipmentId}/attachmentsAdd shipment file attachment
DELETE/api/v1/shipments/{shipmentId}/attachments/{attachmentId}Remove shipment file attachment
POST/api/v1/shipments/{shipmentId}/metadataAdd shipment metadata

Get shipment overview

GET/api/v1/shipments/overview

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Response

200. Returns a SingleResult envelope. The data field is ShipmentOverview.

Request
curl -X GET "https://api.miridia.io/api/v1/shipments/overview" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "total": 0,
    "active": 0,
    "pending": 0,
    "closed": 0,
    "complete": 0
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Get shipment

GET/api/v1/shipments/{shipmentId}

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/shipments/{shipmentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Update shipment

PUT/api/v1/shipments/{shipmentId}

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Request body

Send JSON with the shape UpdateShipmentCommand.

FieldTypeRequiredDescription
idstring (uuid)No
originAddressUpdateAddressRequestNo
destinationAddressUpdateAddressRequestNo
handlingTypeenum HandlingTypeYesOne of: Unknown, Delivery, Collection, Unassigned.
fulfillmentTypeenum FulfillmentTypeNoOne of: Unknown, Package, Pallet, Container, Miscellaneous.
statusenum ShipmentStatusYesOne of: Unknown, Active, PendingCollection, CollectionUnassigned, CollectionAssigned, CollectionRejected, CollectionException, CollectionFailedAttempt, Collected, AtHub, ReturnedToHub, InTransit, AtDestinationHub, DeliveryUnassigned, DeliveryAssigned, DeliveryRejected, DeliveryException, OutForDelivery, DeliveryFailedAttempt, InLocker, Delivered, Cancelled.
hasDimensionsbooleanNo
descriptionstringNo
weightnumber (double)No
heightnumber (double)No
widthnumber (double)No
lengthnumber (double)No
dateOfDeparturestring (date-time)No
dateOfScheduledDeliverystring (date-time)No
earliestDateOfDeliverystring (date-time)No
latestDateOfDeliverystring (date-time)No
deliveryTimeUpperLimitstring (date-time)No
deliveryTimeLowerLimitstring (date-time)No
dateOfScheduledCollectionstring (date-time)No
earliestDateOfCollectionstring (date-time)No
latestDateOfCollectionstring (date-time)No
collectionTimeUpperLimitstring (date-time)No
collectionTimeLowerLimitstring (date-time)No

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X PUT "https://api.miridia.io/api/v1/shipments/{shipmentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "originAddress": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "placeId": "string",
    "name": "string",
    "website": "https://example.com",
    "fullAddress": "string",
    "street": "string",
    "suburb": "string",
    "city": "string",
    "country": "string",
    "postcode": "string",
    "unit": "string",
    "number": "string",
    "province": "string",
    "latitude": 0,
    "longitude": 0
  },
  "destinationAddress": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "placeId": "string",
    "name": "string",
    "website": "https://example.com",
    "fullAddress": "string",
    "street": "string",
    "suburb": "string",
    "city": "string",
    "country": "string",
    "postcode": "string",
    "unit": "string",
    "number": "string",
    "province": "string",
    "latitude": 0,
    "longitude": 0
  },
  "handlingType": "Delivery",
  "fulfillmentType": "Package",
  "status": "Active",
  "hasDimensions": true,
  "description": "string",
  "weight": 0,
  "height": 0,
  "width": 0,
  "length": 0,
  "dateOfDeparture": "2026-09-29T08:00:00Z",
  "dateOfScheduledDelivery": "2026-09-29T08:00:00Z",
  "earliestDateOfDelivery": "2026-09-29T08:00:00Z",
  "latestDateOfDelivery": "2026-09-29T08:00:00Z",
  "deliveryTimeUpperLimit": "2026-09-29T08:00:00Z",
  "deliveryTimeLowerLimit": "2026-09-29T08:00:00Z",
  "dateOfScheduledCollection": "2026-09-29T08:00:00Z",
  "earliestDateOfCollection": "2026-09-29T08:00:00Z",
  "latestDateOfCollection": "2026-09-29T08:00:00Z",
  "collectionTimeUpperLimit": "2026-09-29T08:00:00Z",
  "collectionTimeLowerLimit": "2026-09-29T08:00:00Z"
}'

Patch shipment

PATCH/api/v1/shipments/{shipmentId}

Partially update a shipment's status and/or pickup/delivery/departure dates. Only fields present (non-null) in the body are applied. Absorbs the former dates-only endpoint; Status is a raw override (same power as the full PUT update).

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Request body

Send JSON with the shape PatchShipmentCommand. Partial update of a shipment's editable header fields. Every field is nullable and only applied when non-null, so a caller can PATCH a single property without supplying (and clobbering) the rest of the shipment. Absorbs the former dates-only endpoint.

FieldTypeRequiredDescription
shipmentIdstring (uuid)NoBound from the route, not the body.
statusenum ShipmentStatusNoOne of: Unknown, Active, PendingCollection, CollectionUnassigned, CollectionAssigned, CollectionRejected, CollectionException, CollectionFailedAttempt, Collected, AtHub, ReturnedToHub, InTransit, AtDestinationHub, DeliveryUnassigned, DeliveryAssigned, DeliveryRejected, DeliveryException, OutForDelivery, DeliveryFailedAttempt, InLocker, Delivered, Cancelled.
dateOfPickupstring (date-time)No
dateOfDeliverystring (date-time)No
dateOfDeparturestring (date-time)No

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X PATCH "https://api.miridia.io/api/v1/shipments/{shipmentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "shipmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "status": "Active",
  "dateOfPickup": "2026-09-29T08:00:00Z",
  "dateOfDelivery": "2026-09-29T08:00:00Z",
  "dateOfDeparture": "2026-09-29T08:00:00Z"
}'

Delete shipment

DELETE/api/v1/shipments/{shipmentId}

Access. Send a bearer token or an API key. The caller needs the Shipments delete permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is boolean.

Request
curl -X DELETE "https://api.miridia.io/api/v1/shipments/{shipmentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": true,
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Get shipments

GET/api/v1/shipments

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Parameters

NameInTypeRequiredDescription
Pagequeryinteger (int32)NoLimits: minimum 1.
PageSizequeryinteger (int32)NoLimits: minimum 1, maximum 100.
$orderbyquerystringNoExample: "created_at desc" or "name asc"
$filterquerystringNoApply a ODATA style filter to the query to add a fixed constraint. For example, if you want to filter by the creation date, you would set the filter to "created_at ge 2022-01-01". Or if you want to filter by a specific status, you would set the filter to "status eq 'active'".
$searchquerystringNoProvide a search value which would inherit the 'CONTAINS' behaviour.
fromquerystringNo
toquerystringNo
customerIdquerystring (uuid)No
statusquerystringNo

Response

200. Returns a PagedResult envelope. Each item in data is ShipmentResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/shipments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Create shipment

POST/api/v1/shipments

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Request body

Send JSON with the shape CreateShipmentCommand.

FieldTypeRequiredDescription
requiresApprovalbooleanNo
descriptionstringNoLimits: maximum 3000 characters.
handlingTypeenum HandlingTypeYesOne of: Unknown, Delivery, Collection, Unassigned.
fulfillmentTypeenum FulfillmentTypeNoOne of: Unknown, Package, Pallet, Container, Miscellaneous.
statusenum ShipmentStatusNoOne of: Unknown, Active, PendingCollection, CollectionUnassigned, CollectionAssigned, CollectionRejected, CollectionException, CollectionFailedAttempt, Collected, AtHub, ReturnedToHub, InTransit, AtDestinationHub, DeliveryUnassigned, DeliveryAssigned, DeliveryRejected, DeliveryException, OutForDelivery, DeliveryFailedAttempt, InLocker, Delivered, Cancelled.
hasDimensionsbooleanNo
geometryShipmentDimensionsRequestNo
dateOfDeparturestring (date-time)No
deliveryDeliveryRequestNo
collectionCollectionRequestNo
customerIdstring (uuid)No

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "requiresApproval": true,
  "description": "string",
  "handlingType": "Delivery",
  "fulfillmentType": "Package",
  "status": "Active",
  "hasDimensions": true,
  "geometry": {
    "weight": 0,
    "width": 0,
    "length": 0,
    "height": 0,
    "lengthType": "Centimeter",
    "weightType": "Kilogram",
    "presetId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "dateOfDeparture": "2026-09-29T08:00:00Z",
  "delivery": {
    "estimatedDateOfDelivery": "2026-09-29T08:00:00Z",
    "dateOfDelivery": "2026-09-29T08:00:00Z",
    "earliestDateOfDelivery": "2026-09-29T08:00:00Z",
    "latestDateOfDelivery": "2026-09-29T08:00:00Z",
    "deliverBeforeTime": "string",
    "deliverAfterTime": "string",
    "additionalRemarks": "string"
  },
  "collection": {
    "dateOfCollection": "2026-09-29T08:00:00Z",
    "estimatedDateOfCollection": "2026-09-29T08:00:00Z",
    "dateOfScheduledCollection": "2026-09-29T08:00:00Z",
    "earliestDateOfCollection": "2026-09-29T08:00:00Z",
    "latestDateOfCollection": "2026-09-29T08:00:00Z",
    "collectBeforeTime": "string",
    "collectAfterTime": "string",
    "additionalRemarks": "string"
  },
  "customerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'

Get unassigned shipments

GET/api/v1/shipments/unassigned

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Response

200. Returns a PagedResult envelope. Each item in data is ShipmentResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/shipments/unassigned" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Bulk delete shipments

POST/api/v1/shipments/delete

Bulk delete shipments handled as HTTP POST (action endpoint for bulk operations)

Access. Send a bearer token or an API key. The caller needs the Shipments delete permission.

Request body

Send JSON of type DeleteShipmentCommand[].

Response

200. Returns a PagedResult envelope. Each item in data is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments/delete" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
]'

Get shipment traces

GET/api/v1/shipments/{shipmentId}/traces

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Response

200. Returns a PagedResult envelope. Each item in data is ShipmentTraceResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/shipments/{shipmentId}/traces" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "title": "string",
      "message": "string",
      "shipmentStatus": "Active",
      "activityAction": "StatusChange",
      "dateCreated": "2026-09-29T08:00:00Z",
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "activityType": "System"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Request shipment collection

POST/api/v1/shipments/{shipmentId}/collect

Once a carrier has been assigned to a shipment, a collection can be requested by scheduling a collection date.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Request body

Send JSON with the shape RequestShipmentCollectionRequest.

FieldTypeRequiredDescription
dateOfCollectionstring (date-time)Yes

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments/{shipmentId}/collect" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "dateOfCollection": "2026-09-29T08:00:00Z"
}'

Get shipment comments

GET/api/v1/shipments/{shipmentId}/comments

Returns the user-authored comments on this shipment, oldest first.

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Response

200. Returns a PagedResult envelope. Each item in data is ShipmentCommentResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/shipments/{shipmentId}/comments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "shipmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "comment": "string",
      "user": {},
      "dateCreated": "2026-09-29T08:00:00Z"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Add shipment comment

POST/api/v1/shipments/{shipmentId}/comments

Adds a comment to the shipment, attributed to the authenticated user.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Request body

Send JSON with the shape ShipmentCommentRequest.

FieldTypeRequiredDescription
commentstringYesLimits: maximum 4000 characters.

Response

200. Returns a SingleResult envelope. The data field is ShipmentCommentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments/{shipmentId}/comments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "comment": "string"
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "shipmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "comment": "string",
    "user": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "displayName": "string",
      "firstName": "string",
      "lastName": "string",
      "email": "string",
      "phoneNumber": "string"
    },
    "dateCreated": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Delete shipment comment

DELETE/api/v1/shipments/{shipmentId}/comments/{commentId}

Deletes a comment from the shipment.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes
commentIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is boolean.

Request
curl -X DELETE "https://api.miridia.io/api/v1/shipments/{shipmentId}/comments/{commentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": true,
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Get shipment quotations

GET/api/v1/shipments/{shipmentId}/quotations

Retrieves all quotations for a shipment.

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Response

200. Returns a PagedResult envelope. Each item in data is ShipmentQuotationResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/shipments/{shipmentId}/quotations" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Get shipment quotation

GET/api/v1/shipments/{shipmentId}/quotations/{quotationId}

Retrieves one quotation of a shipment.

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes
quotationIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is ShipmentQuotationResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/shipments/{shipmentId}/quotations/{quotationId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Delete shipment quotation

DELETE/api/v1/shipments/{shipmentId}/quotations/{quotationId}

Deletes one quotation of a shipment. The accepted quotation cannot be deleted.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes
quotationIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is boolean.

Request
curl -X DELETE "https://api.miridia.io/api/v1/shipments/{shipmentId}/quotations/{quotationId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": true,
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Accept shipment quotation

POST/api/v1/shipments/{shipmentId}/quotations/{quotationId}/accept

Accepts one quotation of a shipment. Any other accepted quotation of the same shipment is reset, so a shipment never carries two accepted prices.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes
quotationIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments/{shipmentId}/quotations/{quotationId}/accept" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Withdraw shipment quotation acceptance

DELETE/api/v1/shipments/{shipmentId}/quotations/{quotationId}/accept

Withdraws the acceptance of a quotation. The quotation stays, and the shipment carries no accepted price until one is accepted again.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes
quotationIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X DELETE "https://api.miridia.io/api/v1/shipments/{shipmentId}/quotations/{quotationId}/accept" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Refresh shipment quotations

POST/api/v1/shipments/{shipmentId}/quotations/refresh

Clears the quotations of a shipment and asks the carriers to quote it again. The new prices arrive through the integration callback, so the response returns the shipment, not the quotations.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)YesThe shipment GUID
fulfillmentProviderIdqueryinteger (int32)NoLimits the request to one carrier

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments/{shipmentId}/quotations/refresh" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Create shipment waypoint

POST/api/v1/shipments/{shipmentId}/waypoints

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Request body

Send JSON with the shape CreateShipmentWaypointCommand.

FieldTypeRequiredDescription
shipmentIdstring (uuid)No
locationIdstring (uuid)Yes
titlestringNoLimits: maximum 150 characters.

Response

200. Returns a SingleResult envelope. The data field is ShipmentWaypointResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments/{shipmentId}/waypoints" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "shipmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "locationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "title": "string"
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "segmentPosition": 0,
    "title": "string",
    "dateCheckedIn": "2026-09-29T08:00:00Z",
    "dateCheckedOut": "2026-09-29T08:00:00Z",
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z",
    "address": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "placeId": "string",
      "name": "string",
      "website": "string",
      "fullAddress": "string",
      "street": "string",
      "suburb": "string",
      "city": "string",
      "country": "string",
      "postcode": "string",
      "unit": "string",
      "number": "string",
      "province": "string",
      "latitude": 0,
      "longitude": 0
    }
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Delete shipment waypoint

DELETE/api/v1/shipments/{shipmentId}/waypoints/{waypointId}

Access. Send a bearer token or an API key. The caller needs the Shipments delete permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes
waypointIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is ShipmentWaypointResponse.

Request
curl -X DELETE "https://api.miridia.io/api/v1/shipments/{shipmentId}/waypoints/{waypointId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "segmentPosition": 0,
    "title": "string",
    "dateCheckedIn": "2026-09-29T08:00:00Z",
    "dateCheckedOut": "2026-09-29T08:00:00Z",
    "dateCreated": "2026-09-29T08:00:00Z",
    "dateModified": "2026-09-29T08:00:00Z",
    "address": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "placeId": "string",
      "name": "string",
      "website": "string",
      "fullAddress": "string",
      "street": "string",
      "suburb": "string",
      "city": "string",
      "country": "string",
      "postcode": "string",
      "unit": "string",
      "number": "string",
      "province": "string",
      "latitude": 0,
      "longitude": 0
    }
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Add shipment file attachment

POST/api/v1/shipments/{shipmentId}/attachments

Step 2 of file attachment: associates a previously uploaded file with this shipment. Upload the file first via POST /api/files/single, then pass the returned FileAttachment id here.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Request body

Send JSON with the shape AddFileAttachmentRequest. Adds an attachment to an entity's metadata attachment collection. Two shapes, discriminated by Type: - File (default). title and url are required and taken as-is from the request; FileAttachmentId on the resulting metadata entry stays Guid.Empty.

FieldTypeRequiredDescription
typeenum MetadataAttachmentTypeNoOne of: File, Link.
fileIdstring (uuid)NoRequired when Type is File.
titlestringNoRequired when Type is Link. Ignored for File.
urlstringNoRequired when Type is Link. Ignored for File.
descriptionstringNo

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments/{shipmentId}/attachments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "File",
  "fileId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "title": "string",
  "url": "string",
  "description": "string"
}'

Remove shipment file attachment

DELETE/api/v1/shipments/{shipmentId}/attachments/{attachmentId}

Removes a previously associated attachment (file or link) from this shipment by its metadata attachment entry id.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes
attachmentIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X DELETE "https://api.miridia.io/api/v1/shipments/{shipmentId}/attachments/{attachmentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Add shipment metadata

POST/api/v1/shipments/{shipmentId}/metadata

Merges the provided key/value pairs into the shipment's free-form metadata dictionary. A non-null value adds or overwrites the key; a null value removes the key.

Access. Send a bearer token or an API key. The caller needs the Shipments modify permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes

Request body

Send JSON of type map<string, string>.

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/shipments/{shipmentId}/metadata" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "key": "string"
}'

Models

The operations on this page use these object types. Select a type to see its fields.

AddressResponse
FieldTypeDescription
idstring (uuid)
placeIdstring
namestring
websitestring
fullAddressstring
streetstring
suburbstring
citystring
countrystring
postcodestring
unitstring
numberstring
provincestring
latitudenumber (double)
longitudenumber (double)
BusinessResponse
FieldTypeDescription
idstring (uuid)
registeredNamestring
registrationNumberstring
displayNamestring
phoneNumberstring
websitestring
emailstring
requiresOrderIntegrationboolean
requiresOrderFulfillmentboolean
requiresAccountingIntegrationboolean
requiresDispatchBuilderboolean
billingAddressAddressResponse
shippingAddressAddressResponse
currentUserPrimitiveUserResponse
CollectionRequest
FieldTypeDescription
dateOfCollectionstring (date-time)
estimatedDateOfCollectionstring (date-time)
dateOfScheduledCollectionstring (date-time)
earliestDateOfCollectionstring (date-time)
latestDateOfCollectionstring (date-time)
collectBeforeTimestring
collectAfterTimestring
additionalRemarksstring
CollectionResponse
FieldTypeDescription
addressAddressResponse
instructionsstring
contactContactResponse
businessNamestring
collectAfterTimestringFormatted in HH not hh (24 hours)
collectBeforeTimestringFormatted in HH not hh (24 hours)
dateOfCollectionstring (date-time)
ContactResponse
FieldTypeDescription
idstring (uuid)
titlestring
descriptionstring
firstNamestring
lastNamestring
emailstring
phoneNumberstring
mobileNumberstring
CurrencyResponse
FieldTypeDescription
iso4217string
utf8Symbolstring
currencyCodeenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
CustomerIntegrationProviderResponse
FieldTypeDescription
providerPrimitiveIntegrationProviderResponse
customerCustomerResponse
CustomerResponse
FieldTypeDescription
idstring (uuid)
isBusinessboolean
titlestring
websitestring
emailstring
businessNamestring
groupIdstring (uuid)The customer group this customer belongs to, if any. Used as a price-list assignment scope.
phoneNumberstringThis would generally represent the phone number for the customer if the customer is a business. Otherwise, the contact details should be part of the contact, and not the customer. Limits: maximum 20 characters.
integrationTypeenum IntegrationProviderTypeOne of: None, Commerce, Accounting, Erp, Crm, Fulfillment, Warehouse, WorkflowManager.
dateCreatedstring (date-time)
billingAddressAddressResponse
shippingAddressAddressResponse
integrationsCustomerIntegrationProviderResponse[]
contactsContactResponse[]
primaryContactContactResponse
parentCustomerResponse
attachmentsMetadataFileAttachment[]
totalSalesinteger (int32)
totalSpentnumber (double)
metadatamap<string, string>
DeleteShipmentCommand
FieldTypeDescription
idstring (uuid)
DeliveryRequest
FieldTypeDescription
estimatedDateOfDeliverystring (date-time)
dateOfDeliverystring (date-time)
earliestDateOfDeliverystring (date-time)
latestDateOfDeliverystring (date-time)
deliverBeforeTimestring
deliverAfterTimestring
additionalRemarksstring
DeliveryResponse
FieldTypeDescription
addressAddressResponse
instructionsstring
contactContactResponse
businessNamestring
deliverAfterTimestringFormatted in HH not hh (24 hours)
deliverBeforeTimestringFormatted in HH not hh (24 hours)
dateOfDeliverystring (date-time)
DimensionTypeWithSymbols
FieldTypeDescription
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
volumeTypeenum VolumeTypeOne of: None, Litre, CubicCentimeter, CubicMeter, Gallon, CubicInch, CubicFoot.
lengthSymbolstring
weightSymbolstring
volumeSymbolstring
DispatchResponse
FieldTypeDescription
idstring (uuid)
codestring
descriptionstring
dispatchStatusenum DispatchStatusesOne of: Active, Pending, Dispatched, Cancelled, Complete, Draft, InTransit, Unassigned.
dateOfDeparturestring (date-time)
scheduledDateOfDeparturestring (date-time)
dateOfCompletionstring (date-time)
shipmentsShipmentResponse[]
driversDriverResponse[]
vehicleVehicleResponse
businessBusinessResponse
DriverResponse
FieldTypeDescription
idstring (uuid)
idNumberstring
licenseNumberstring
licenseTypeIdinteger (int32)
licenseRenewalDatestring (date-time)
licenseIssuedDatestring (date-time)
userDriverUserResponse
DriverUserResponse
FieldTypeDescription
idstring (uuid)
firstNamestring
lastNamestring
emailstring
phoneNumberstring
FulfillmentItemResponse
FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
titlestring
quantitynumber (double)
declaredValuenumber (double)
descriptionstring
FulfillmentProviderServiceTypeModel

This model represents the different services which the fulfillment provider provides.

FieldTypeDescription
idinteger (int32)
valuestring
FulfillmentRequirementTypeModel
FieldTypeDescription
idinteger (int32)
valuestring
GeometryFieldsResponse
FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
weightSymbolstring
lengthSymbolstring
MetadataFileAttachment

Not quite as complete as the normal FileAttachment aggregate.

FieldTypeDescription
idstring (uuid)
typeenum MetadataAttachmentTypeOne of: File, Link.
fileAttachmentIdstring (uuid)Left as Guid.Empty for Link entries.
titlestring
urlstring
contentTypestring
descriptionstring
OrderCarrierMetadata
FieldTypeDescription
carrierIdstring (uuid)
earliestCollectionstring (date-time)
collectionRequestedstring (date-time)
collectionAfterRequeststring (date-time)
dateDeliveredstring (date-time)
dateOfReturnRequestedstring (date-time)
timeframestring
requestedCollectionboolean
shipmentLabelGeneratedboolean
requestedReturnboolean
packageCountinteger (int32)
packagesOrderPackageMetadata[]
OrderIntegrationDetailsResponse
FieldTypeDescription
idstring (uuid)
integrationIdstringThe integration id as displayed on the relevant integration
providerPrimitiveIntegrationProviderResponse
OrderItemResponse

Order Item maps onto ProductOrder and contains a property with all of the product information.

FieldTypeDescription
idstring (uuid)
codestring
quantityOrderednumber (double)
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
orderShipmentOrderShipmentResponse
productProductResponse
shipmentShipmentResponse
carrierPrimitiveIntegrationProviderResponse
dimensionPresetPrimitiveDimensionPreset
titlestring
descriptionstring
primaryImageUrlstring
geometryGeometryFieldsResponse
billingPriceDetailsResponse
OrderPackageMetadata
FieldTypeDescription
productIdstring (uuid)
dimensionsGeometry
OrderResponse
FieldTypeDescription
dateCreatedstring (date-time)
dateModifiedstring (date-time)
idstring (uuid)
codestring
deliveryItemCountinteger (int32)
orderItemCountnumber (double)Total quantity of items ordered across all line items. Surfaced for list views.
descriptionstring
purchaseOrderNumberstringThe customer's purchase order number, when this order was raised from a received customer PO.
billingPriceDetailsResponse
shippingCostsOrderShippingCostsResponse
fulfillmentStatusenum FulfillmentStatusOne of: Unknown, Unassigned, PendingCollection, PendingDelivery, Fulfilled, Cancelled.
customerIpAddressstring
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
statusenum OrderStatusOne of: Unknown, New, PendingCollection, PendingDelivery, Complete, Cancelled, PendingReturn, Returned.
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
fulfillmentSubTypeenum FulfillmentSubTypeOne of: Unknown, GeneralPackage, FoodDelivery, MedicalDelivery, GroceriesDelivery, StandardPallet, StandardInternationalPallet, StandardUsPallet, StandardEuroPallet, CustomPallet, General10Ft, General20Ft, HighCube20Ft, General40Ft, HighCube40Ft, General45Ft, HighCube45Ft, FlatRack20FtWithSides, FlatRack20FtWithoutSides, FlatRack40FtWithSides, FlatRack40FtWithoutSides, OpenTop20Ft, OpenTop40Ft, Reefer20Ft, Reefer40Ft, MiniVan, DryVan, Flatbed, Tanker, AutoHauler, BoxTruck, Trailer, LowBoy, Dumper, Pickup, TowTruck, DumpTruck.
dateOfScheduledCollectionstring (date-time)
dateCreatedOnIntegrationstring (date-time)
effectiveDatestring (date-time)
dateOfDeliveryCompletionstring (date-time)
dateImportedstring (date-time)
countryCodeenum CountryCodeOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
paymentProcessedboolean
paymentUrlstring
integrationOrderUrlstring
multiCarrierboolean
currencyCodeenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
paymentMethodenum PaymentMethodOne of: Unknown, Cash, Card, CashOnDelivery, CardOnDelivery, Eft, Crypto, Paypal, WireTransfer, DebitOrder.
attachmentsMetadataFileAttachment[]
orderItemsOrderItemResponse[]
orderShipmentsOrderShipmentResponse[]
destinationAddressAddressResponse
originAddressAddressResponse
originLocationIdstring (uuid)The location/store the order is attributed to (trace which store it came from).
originLocationTitlestring
sourceChannelIdstring (uuid)The sales channel (medium) the order came through.
sourceChannelTitlestring
sourceChannelSalesChannelResponse
customerCustomerResponse
carrierMetadataOrderCarrierMetadata
dimensionTypeDimensionTypeWithSymbols
currencyMetadataCurrencyResponse
fulfillmentProvidersPrimitiveIntegrationProviderResponse[]
packageSizesPrimitiveDimensionPreset[]
integrationsOrderIntegrationDetailsResponse[]
metadatamap<string, string>
OrderShipmentResponse
FieldTypeDescription
shipmentQuotationShipmentQuotationResponse
orderOrderResponse
shipmentShipmentResponse
fulfillmentProviderPrimitiveIntegrationProviderResponse
canModifyItemsbooleanWhether the item set of this shipment can still be changed, through PUT /orders/{orderId}/shipments/{shipmentId}/items. False once the shipment leaves the Active status, or once a label, an invoice, a fulfillment request, an approved quotation, or a manual lock names the load it carries.
OrderShippingCostsResponse
FieldTypeDescription
shippingSubTotalnumber (double)
shippingDiscountnumber (double)
shippingTaxnumber (double)
shippingTotalnumber (double)
PriceDetailsResponse
FieldTypeDescription
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
taxIncludedboolean
taxRatenumber (double)
taxTypeenum TaxTypeOne of: None, Sales, Vat, Gst, Pst, Hst, Qst, Ist, Ust, Cst.
currencyCurrencyResponse
PrimitiveDimensionPreset
FieldTypeDescription
titlestring
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
idstring (uuid)
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
PrimitiveIntegrationProviderResponse
FieldTypeDescription
configuredProviderIdstring (uuid)
idinteger (int32)
titlestring
descriptionstring
logoUrlstring
PrimitiveUserResponse
FieldTypeDescription
idstring (uuid)
displayNamestring
firstNamestring
lastNamestring
emailstring
phoneNumberstring
ProductResponse
FieldTypeDescription
idstring (uuid)
codestring
skustring
barcodestring
upcstring
eanstring
mpnstring
titlestring
descriptionstring
bodystring
productLinkstring
productTypeenum ProductTypeOne of: FinishedGood, RawMaterial, Component, Consumable, Service.
statusenum ProductStatusOne of: Active, Inactive, Discontinued.
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
purchasableboolean
isSellableboolean
isPurchasableboolean
isTaxableboolean
requiresShippingboolean
totalAvailableQuantitynumber (double)Available stock derived from the inventory ledger: the sum of (on-hand − reserved) across the product's inventory records at all locations.
totalSoldnumber (double)
totalSoldValuenumber (double)
onSaleboolean
currentPriceProductPriceDetailsResponse
tracesActionMessage[]Get the historical view of changes for this object
defaultImageMetadataFileAttachment
imagesMetadataFileAttachment[]
attachmentsMetadataFileAttachment[]
geometryProductGeometryFieldsResponse
integrationsProductIntegrationProviderResponse[]
localeSymbolicLocaleMetadata
dimensionPresetDimensionPresetResponse
dimensionPresetsDimensionPresetResponse[]
categoriesProductCategoryPrimitive[]
supplierSupplierResponse
groupProductGroupSummaryResponse
tagsstring[]
hasRatingboolean
ratingnumber (double)
metadatamap<string, string>
dateCreatedstring (date-time)
SalesChannelResponse
FieldTypeDescription
idstring (uuid)
titlestring
kindenum SalesChannelKindOne of: Direct, PointOfSale, Online, Marketplace.
defaultLocationIdstring (uuid)
ShipmentCommentResponse
FieldTypeDescription
idstring (uuid)
shipmentIdstring (uuid)
commentstring
userPrimitiveUserResponse
dateCreatedstring (date-time)
ShipmentDimensionsRequest
FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
presetIdstring (uuid)
ShipmentItemResponse
FieldTypeDescription
idstring (uuid)
orderItemIdstring (uuid)
productIdstring (uuid)
quantitynumber (double)
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
titlestring
descriptionstring
geometryGeometryFieldsResponse
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
ShipmentOverview
FieldTypeDescription
totalinteger (int32)
activeinteger (int32)
pendinginteger (int32)
closedinteger (int32)
completeinteger (int32)
ShipmentQuotationResponse
FieldTypeDescription
idstring (uuid)
providerPrimitiveIntegrationProviderResponse
itemsFulfillmentItemResponse[]
requiredServicesFulfillmentProviderServiceTypeModel[]
requirementsFulfillmentRequirementTypeModel[]
collectionCollectionResponse
deliveryDeliveryResponse
totalDeclaredValuenumber (double)
isInternationalboolean
isApprovedByUserboolean
totalItemsinteger (int32)
serviceLevelTextstring
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
deliveryTypeenum FulfillmentDeliveryTypeOne of: Unknown, DoorToDoor, DoorToCollectionPoint, CollectionPointToDoor, CollectionPointToCollectionPoint, DoorToPort, PortToDoor, PortToPort, LockerToLocker.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
countryCodeenum CountryCodeOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
dateOfEstimatedCollectionstring (date-time)The estimated collection and delivery dates, when they are known. They are null when no estimate exists. Do not substitute today's date.
dateOfEstimatedDeliverystring (date-time)
currencyCurrencyResponse
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
taxIncludedboolean
shipmentShipmentResponse
ShipmentResponse
FieldTypeDescription
dateCreatedstring (date-time)
dateModifiedstring (date-time)
idstring (uuid)
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
statusenum ShipmentStatusOne of: Unknown, Active, PendingCollection, CollectionUnassigned, CollectionAssigned, CollectionRejected, CollectionException, CollectionFailedAttempt, Collected, AtHub, ReturnedToHub, InTransit, AtDestinationHub, DeliveryUnassigned, DeliveryAssigned, DeliveryRejected, DeliveryException, OutForDelivery, DeliveryFailedAttempt, InLocker, Delivered, Cancelled.
hasDimensionsboolean
dateOfDeparturestring (date-time)
titlestringLimits: maximum 100 characters.
providerServiceLevelIdUid
providerServiceLevelIdTypeenum UidTypeOne of: Unknown, Long, Guid, String.
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
codestring
descriptionstringLimits: maximum 3000 characters.
handlingTypeenum HandlingTypeOne of: Unknown, Delivery, Collection, Unassigned.
requiresApprovalboolean
totalDeclaredValuenumber (double)
quantityOfItemsnumber (double)
trackingIdstring
barcodestring
deliveryDeliveryResponse
collectionCollectionResponse
currencyCurrencyResponse
dispatchDispatchResponse
businessBusinessResponse
customerCustomerResponse
itemsShipmentItemResponse[]
fulfillmentContactsContactResponse[]
orderShipmentsOrderShipmentResponse[]
waypointsShipmentWaypointResponse[]
metadatamap<string, string>
attachmentsMetadataFileAttachment[]
ShipmentTraceResponse
FieldTypeDescription
idstring (uuid)
titlestring
messagestring
shipmentStatusenum ShipmentStatusOne of: Unknown, Active, PendingCollection, CollectionUnassigned, CollectionAssigned, CollectionRejected, CollectionException, CollectionFailedAttempt, Collected, AtHub, ReturnedToHub, InTransit, AtDestinationHub, DeliveryUnassigned, DeliveryAssigned, DeliveryRejected, DeliveryException, OutForDelivery, DeliveryFailedAttempt, InLocker, Delivered, Cancelled.
activityActionenum ShipmentActivityActionOne of: None, StatusChange, AllocatedToDispatch, OnRoute, CloseToDestination, AtDestination, AtDepotCentre, Sorted, Scanned, SortingInProgress, OrderReceived, Delivered, Modified, Created.
dateCreatedstring (date-time)
userIdstring (uuid)
activityTypeenum ActivityTypeOne of: System, User.
ShipmentWaypointResponse
FieldTypeDescription
idstring (uuid)
segmentPositioninteger (int32)
titlestring
dateCheckedInstring (date-time)
dateCheckedOutstring (date-time)
dateCreatedstring (date-time)
dateModifiedstring (date-time)
addressAddressResponse
UpdateAddressRequest
FieldTypeDescription
idstring (uuid)
placeIdstring (string)Limits: maximum 100 characters.
namestring (string)Limits: maximum 50 characters.
websitestring (uri)Limits: maximum 100 characters.
fullAddressstringLimits: maximum 500 characters.
streetstring (string)Limits: maximum 80 characters.
suburbstring (string)Limits: maximum 80 characters.
citystringLimits: maximum 80 characters.
countrystringLimits: maximum 80 characters.
postcodestring (postal-code)Limits: maximum 15 characters.
unitstringLimits: maximum 10 characters.
numberstring (postal-code)Limits: maximum 20 characters.
provincestring (string)Limits: maximum 80 characters.
latitudenumber (double)Limits: minimum -90, maximum 90.
longitudenumber (double)Limits: minimum -180, maximum 180.
VehicleResponse
FieldTypeDescription
idstring (uuid)
licensePlatestring
dateOfLicenseExpirystring (date-time)
licenseDiscstring
vehicleIdentificationNumberstring
modelstring
makestring
acquisitionDatestring (date-time)
vehicleTypeenum VehicleTypeOne of: Motorcycle, LightMotorVehicle, HeavyMotorVehicleSub16, HeaveMotorVehicleOver16.
dateCreatedstring (date-time)
dateModifiedstring (date-time)